package data.scripts.plugins;

import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.combat.BaseEveryFrameCombatPlugin;
import com.fs.starfarer.api.combat.CombatEngineAPI;
import com.fs.starfarer.api.combat.ShipAPI;
import com.fs.starfarer.api.combat.ShipCommand;
import com.fs.starfarer.api.input.InputEventAPI;
import org.lwjgl.input.Keyboard;

import java.util.Iterator;
import java.util.List;

public class EmptyWeaponGroupPlugin extends BaseEveryFrameCombatPlugin
{
    public void advance(float amount, List<InputEventAPI> events)
    {
        final CombatEngineAPI engine = Global.getCombatEngine();
        final ShipAPI player = engine.getPlayerShip();

        if (player == null || !engine.isEntityInPlay(player)) return;

        for (Iterator iter = events.iterator(); iter.hasNext(); )
        {
            InputEventAPI event = (InputEventAPI) iter.next();
            if (!event.isConsumed() && event.isKeyDownEvent() && event.getEventValue() == Keyboard.KEY_6)
            {
                player.giveCommand(ShipCommand.SELECT_GROUP, null, player.getWeaponGroupsCopy().size());
                event.consume();
				return;
            }
        }
    }
}

